Bug 1661960 - ps X does not show valid data for ESP and EIP
Summary: ps X does not show valid data for ESP and EIP
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: procps-ng
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Rybar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-24 22:17 UTC by Henry
Modified: 2019-11-27 20:29 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 20:29:18 UTC


Attachments (Terms of Use)

Description Henry 2018-12-24 22:17:56 UTC
Description of problem:

The X ("Registers") output format to PS seems to be wrong


Version-Release number of selected component (if applicable):
procps-ng-3.3.15-4.fc29.x86_64

How reproducible:

% ps X

Actual results:
ESP and EIP registers to be non-zero

Expected results:
They are always zero

Additional info:
Interesting, the STACKP value looks correct,

% ps X
  PID           STACKP              ESP              EIP TMOUT ALARM STAT TTY        TIME COMMAND
 1816 00007ffc84587bd0 0000000000000000 0000000000000000     -     - Ssl+ tty2       0:00 /usr/libexec/gdm-wayland-session /usr
 1819 00007ffe0ad179f0 0000000000000000 0000000000000000     -     - Sl+  tty2       0:00 /usr/libexec/gnome-session-binary
...

Why is ESP != STACKP, and the EIP value can't be right either.

Comment 1 Henry 2018-12-24 22:18:44 UTC
I got the Actual & Expected parts the wrong way around, sorry no edit.

Comment 2 Ben Cotton 2019-10-31 20:15:49 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2019-11-27 20:29:18 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.